{lib, ...}: {
  services.postgresql = {
    enable = true;
    ensureDatabases = [
      "authelia-procopius"
      "lldap"
    ];
    ensureUsers = [
      {
        name = "authelia-procopius";
        ensureDBOwnership = true;
      }
      {
        name = "lldap";
        ensureDBOwnership = true;
      }
    ];
    authentication = lib.mkForce ''
      # TYPE  DATABASE        USER            ADDRESS                 METHOD
      local   all             all                                     trust
      host    all             all             127.0.0.1/32            trust
    '';
  };
}
